- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Enumerates ResourceRecordSets that you have created but not yet deleted.
HTTP request
GET https://dns.googleapis.com/dns/v1/projects/{project}/managedZones/{managedZone}/rrsets
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Identifies the project addressed by this request. |
managedZone |
Identifies the managed zone addressed by this request. Can be the managed zone name or ID. |
Query parameters
| Parameters | |
|---|---|
maxResults |
Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return. |
pageToken |
Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request. |
name |
Specify a fully qualified domain name to view only those records. The |
type |
Specify a record type to view only those records. You must also specify the |
filter |
Specify a filter expression to view records that exactly match the specified domain. Both the Your
|
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"rrsets": [
{
object ( |
| Fields | |
|---|---|
rrsets[] |
The resource record set resources. |
nextPageToken |
This field indicates that more results are available beyond the last page displayed. To fetch the results, make another list request and use this value as your page token. This lets you retrieve the complete contents of a very large collection one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You can't retrieve a consistent snapshot of a collection larger than the maximum page size. |
kind |
Type of resource. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-platform.read-onlyhttps://www.googleapis.com/auth/ndev.clouddns.readonlyhttps://www.googleapis.com/auth/ndev.clouddns.readwrite
For more information, see the Authentication Overview.